import { NbRendererOpts, Notebook } from '.';
export * from '.';
/**
 * Renders the given Jupyter *notebook* to HTML. It's a shorthand for
 * `createRenderer(document, opts)(notebook)`.
 *
 * @example
 *   document.body.appendChild(ipynb2html.render(notebook))
 *
 * @param notebook Object in Jupyter Notebook Format 4.0+.
 * @param opts The renderer options.
 * @return An HTMLElement with the rendered *notebook*.
 * @see createRenderer
 */
export declare function render(notebook: Notebook, opts?: NbRendererOpts): HTMLElement;
/**
 * Renders Jupyter Notebook inside each
 * `<script type="application/x-ipynb+json">...</script>` found in
 * the page's body.
 *
 * @param opts The renderer options.
 */
export declare function autoRender(opts?: NbRendererOpts): void;
//# sourceMappingURL=browser.d.ts.map