"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !exports.hasOwnProperty(p)) __createBinding(exports, m, p);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.autoRender = exports.render = void 0;
const _1 = require(".");
__exportStar(require("."), exports);
function unescapeHTML(input) {
    var _a;
    return (_a = new DOMParser()
        .parseFromString(input, 'text/html')
        .documentElement
        .textContent) !== null && _a !== void 0 ? _a : '';
}
/**
 * Renders the given Jupyter *notebook* to HTML. It's a shorthand for
 * `createRenderer(document, opts)(notebook)`.
 *
 * @example
 *   document.body.appendChild(ipynb2html.render(notebook))
 *
 * @param notebook Object in Jupyter Notebook Format 4.0+.
 * @param opts The renderer options.
 * @return An HTMLElement with the rendered *notebook*.
 * @see createRenderer
 */
function render(notebook, opts = {}) {
    return _1.createRenderer(document, opts)(notebook);
}
exports.render = render;
/**
 * Renders Jupyter Notebook inside each
 * `<script type="application/x-ipynb+json">...</script>` found in
 * the page's body.
 *
 * @param opts The renderer options.
 */
function autoRender(opts = {}) {
    const selector = 'script[type="application/x-ipynb+json"]';
    const render = _1.createRenderer(document, opts);
    document.querySelectorAll(selector).forEach(script => {
        if (script.textContent && script.parentElement) {
            // eslint-disable-next-line @typescript-eslint/no-unsafe-assignment
            const notebook = JSON.parse(unescapeHTML(script.textContent));
            const nbElement = render(notebook);
            script.parentElement.replaceChild(nbElement, script);
        }
    });
}
exports.autoRender = autoRender;
//# sourceMappingURL=browser.js.map