import { KatexOptions } from 'katex';
import marked from 'marked';
export declare type MarkdownRenderer = (markdown: string) => string;
export interface MarkedOptions extends marked.MarkedOptions {
    /** Generate heading anchors (this implies headingIds). */
    headerAnchors?: boolean;
    headerIdsStripAccents?: boolean;
}
declare const _default: (markedOpts?: MarkedOptions, katexOpts?: KatexOptions) => MarkdownRenderer;
/**
 * Returns a pre-configured marked parser with (optional) math support (using
 * KaTeX) and code highlighter (highlight.js).
 *
 * @param {MarkedOptions} markedOpts Options for the marked Markdown renderer.
 * @param {KatexOptions} katexOpts Options for the KaTeX math renderer.
 */
export default _default;
//# sourceMappingURL=markdownRenderer.d.ts.map